package com.sd.wln.controller;

import com.sd.wln.service.WlnSkuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReentrantLock;

@RestController
@RequestMapping("/wln")
public class WlnController {

    public static final Lock syncSkuLock = new ReentrantLock();

    @Autowired
    private WlnSkuService wlnSkuService;

    /**
     * 重新同步订单
     */
    @PostMapping("/syncSku")
    public void syncSku() {
        if (syncSkuLock.tryLock()) {
            try {
                wlnSkuService.sync();
            } finally {
                WlnController.syncSkuLock.unlock();
            }
        }
    }

}
